          CPU  "8051.TBL"               ; CPU TABLE
          HOF  "INT8"                   ; HEX FORMAT
                                        ; MODULE NAME-------------DEL BIOS
                                        ; MODULE NUMBER-----------DACT0007
                                        ; VERSION-----------------1
                                        ; SHEET NAME--------------DACT1007
                                        ; SOFTWARE----------------MCS-51
                                        ; ASSEMBLER---------------CROSS 16
                                        ; HARDWARE----------------DACT0007.SCH
                                        ; DESCRIPTION-------------OPERATING SYSTEM
                                        ; DEVELOPED BY------------Anantha Narayan
                                        ; COMPANY-----------------DE Laboratories.
                                        ; DATE--------------------10th October 1999
                                        ; SYSTEM CONFIGURATION.
INCL0:    INCL "EQUAT.ASM"              ; INLUDE "EQUAT" MODULE HERE.
                                        ; MAIN TREE BRANCHES.
          ORG 0000H                     ;
          LJMP START                    ; JUMP TO START ROUTINE.
          ORG 0003H                     ;
          LJMP INT0P                    ; JUMP TO INTER 0 PATH.
          ORG 000BH                     ;
          LJMP TIM0P                    ; JUMP TO TIMER 0 PATH.
          ORG 0013H                     ;
          LJMP INT1P                    ; JUMP TO INTER 1 PATH.
          ORG 001BH                     ;
          LJMP TIM1P                    ; JUMP TO TIMER 1 PATH.
                                        ; MAIN START BRANCH
INCL1:    INCL "PROG.ASM"               ; INLUDE "START" MODULE HERE.
                                        ; ORIGINS
INT0P:    ORG 1FFDH                     ; LOCATION OF INT 0 SERVICE IN USER PROGRAM.
TIM0P:    ORG 1FFAH                     ; LOCATION OF TIM 0 SERVICE IN USER PROGRAM.
INT1P:    ORG 1FF7H                     ; LOCATION OF INT 1 SERVICE IN USER PROGRAM.
MYPRG:    ORG 0100H                     ; LOCATION OF START IN USER PROGRAM LIKE RESET.
          END                           ; END OF PROGRAM.
