          ORG 003AH                     ; T1 INT IF GOSWT PRESSED RUN MYPRG IF NOT WRITE TO RAM.
TIM1P:    JB GOSWT,RAMWR                ; IF GO SWITCH NOT PRESSED JUMP OVER TO WRITE INTO RAM.
          MOV UPSTK,#HIGH GOPRG         ; IF GO SWITCH LOW IE PRESSED THEN SET STACK POINTER
          MOV LWSTK,#LOW GOPRG          ; LATEST LOCATION 08/09 TO THE JUMP AFTER INT OF TIMER1.
          CLR TR1                       ; STOP TIMER 1 AS USER PROGRAM WILL BE EXECUTED NOW.
T1RET:    RETI                          ; RETURN INT.
RAMWR:    JNB RI,TIM1P                  ; IF RI RECIVE INT FLAG NOT SET LOOP BACK TO READ GOSWT.
          CLR TR1                       ; IF RI SET DATA HAS BEEN RECD IN SBUF HENCE STOP TIMER.
          CLR RI                        ; ACKNOWLEDGE DATA RECEPTION BY CLR OF RI FLAG.
          MOV A,SBUF                    ; READ DATA RECD IN SBUF TO ACC.
          MOV P1,A                      ; OUTPUT IT TO P1 TO BE DISPLAYED IN HEX FORMAT 7448.
          MOVX @DPTR,A                  ; WRITE INTO DATA POINTER LOCATION IE MYPROG RECD VALUE.
          INC DPTR                      ; INC TO NEXT RAM LOCATION 0101H.....SO ON CONSEC REC.
          SETB TR1                      ; SET TIMER 1 ON.
          RETI                          ; RETURN INT.
          ORG 0063H                     ; EXECUTES MYPRG @0100H AT PRESS OF GO PUSH SWITCH.
GOPRG:    LCALL DELAY                   ; IF GO SWITCH IS PRESSED WHEN RED LED ON IT JUMPS HERE.
          CLR GOSWT                     ; GOSWT P3.5 IS CLD TO 0 GRN LED TURNS ON TO GO MYPRG.
          LJMP MYPRG                    ; THE POINTER JUMPS OVER TO MYPRG LOC 0100H TO EXECUTE.
          ORG 0056H                     ; DELAY TO MAKE SURE ALL THE FIRMWARE INT ARE SERVICED.
DELAY:    MOV R6,#080H                  ; SET R6 TO 80H.
DELY1:    DEC R6                        ; DEC R6 IN LOOP TILL 0.
          MOV R7,#0FFH                  ; SET R7 TO FFH.
DELY2:    DEC R7                        ; DEC R7 IN LOOP TILL 0.
          CJNE R7,#00,DELY2             ; JUMP TO DELY2 TILL R7 N= 0
          CJNE R6,#00,DELY1             ; JUMP TO DELY1 TILL R6 N= 0
          RET                           ; RETURN.
